<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.PolicyGuideMapper">
    
    <resultMap type="com.ruoyi.system.domain.PolicyGuide" id="PolicyGuideResult">
        <result property="policyId"    column="policy_id"    />
        <result property="policyTitle"    column="policy_title"    />
        <result property="policyContent"    column="policy_content"    />
        <result property="status"    column="status"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectPolicyGuideVo">
        select policy_id, policy_title, policy_content, status, create_by, create_time, update_by, update_time, remark from policy_guide
    </sql>

    <select id="selectPolicyGuideList" parameterType="PolicyGuide" resultMap="PolicyGuideResult">
        <include refid="selectPolicyGuideVo"/>
        <where>
            status = '0'
            <if test="policyTitle != null  and policyTitle != ''"> and policy_title = #{policyTitle}</if>
        </where>
        order by create_time DESC
    </select>
    
    <select id="selectPolicyGuideByPolicyId" parameterType="Long" resultMap="PolicyGuideResult">
        <include refid="selectPolicyGuideVo"/>
        where policy_id = #{policyId} and status = '0'
    </select>
        
    <insert id="insertPolicyGuide" parameterType="PolicyGuide" useGeneratedKeys="true" keyProperty="policyId">
        insert into policy_guide
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="policyTitle != null and policyTitle != ''">policy_title,</if>
            <if test="policyContent != null">policy_content,</if>
            <if test="status != null">status,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="policyTitle != null and policyTitle != ''">#{policyTitle},</if>
            <if test="policyContent != null">#{policyContent},</if>
            <if test="status != null">#{status},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updatePolicyGuide" parameterType="PolicyGuide">
        update policy_guide
        <trim prefix="SET" suffixOverrides=",">
            <if test="policyTitle != null and policyTitle != ''">policy_title = #{policyTitle},</if>
            <if test="policyContent != null">policy_content = #{policyContent},</if>
            <if test="status != null">status = #{status},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where policy_id = #{policyId}
    </update>

    <delete id="deletePolicyGuideByPolicyId" parameterType="Long">
        delete from policy_guide where policy_id = #{policyId}
    </delete>

    <delete id="deletePolicyGuideByPolicyIds" parameterType="String">
        delete from policy_guide where policy_id in 
        <foreach item="policyId" collection="array" open="(" separator="," close=")">
            #{policyId}
        </foreach>
    </delete>
</mapper>